list_first_entry
Prev | Doubly Linked Lists | Next

## Name

list_first_entry — get the first element from a list

## Synopsis

`list_first_entry (` |  | ptr,
|  | type,
|  | member`)`;

## Arguments

`ptr`

  the list head to take the element from.

`type`

  the type of the struct this is embedded in.

`member`

  the name of the list_struct within the struct.

## Description

Note, that list is expected to be not empty.

Prev | Up | Next
list_entry | Home | list_for_each